config/routes.rb
Gfw::Application.routes.draw do

  mount JasmineRails::Engine => '/specs' if defined?(JasmineRails)

  #legacy
    # stories
    # get '/stories' => redirect("/stayinformed/crowdsourced-stories")

    # 2004-2009 era
    get '/english' => redirect('/')
    get '/french' => redirect('/')
    get '/bahasa' => redirect('/')
    get '/english/index.htm' => redirect('/')
    get '/french/index.htm' => redirect('/')
    get '/bahasa/index.htm' => redirect('/')
    get '/english/about(/:section)' => redirect('/about')
    get '/french/about(/:section)' => redirect('/about')
    get '/bahasa/about(/:section)' => redirect('/about')
    get '/english/pdfs(/:section)' => redirect("sources")
    get '/french/pdfs(/:section)' => redirect("sources")
    get '/bahasa/pdfs(/:section)' => redirect("sources")
    get '/english(/:id)(/:id2)(/:id3)' => redirect('/countries')
    get '/french(/:id)(/:id2)(/:id3)' => redirect('/countries')
    get '/bahasa(/:id)(/:id2)(/:id3)' => redirect('/countries')
    get '/common(/:section)' => redirect("sources")
    get '/common(/:section)(/:section)' => redirect("sources")
    get '/common(/:section)(/:section)(/:section)' => redirect("sources")
    get '/assets(/:content)' => redirect('/')

    # howto
    get '/howto/video' => redirect("/howto")
    get '/howto/general_questions' => redirect("/howto/faqs")
    get '/howto/terminology' => redirect("/howto/faqs")
    get '/howto/data' => redirect("/howto/faqs")
    get '/howto/web_platform' => redirect("/howto/faqs")
    get '/howto/for_business' => redirect("/howto/faqs")

    # about
    get '/about/video' => redirect("/about")
    get '/about/gfw' => redirect("/about/about-gfw")
    get '/about/partners' => redirect("/about/the-gfw-partnership")
    get '/partners' => redirect("/about/the-gfw-partnership")
    get '/about/users' => redirect("/about")
    get '/about/small_grants_fund' => redirect("/getinvolved/apply-to-the-small-grants-fund")
    get '/about/testers' => redirect("/about")

  resources :stories

  # terms
  post '/accept' => 'home#accept_and_redirect'

  # static
  get '/data' => redirect("sources")
  get '/sources' => 'static#data'
  get '/sources(/:section)' => 'static#data'
  get '/my_gfw' => 'connect#index'
  get '/my_gfw-login' => 'connect#login'

  # get '/stayinformed' => redirect('stayinformed/crowdsourced-stories')
  get '/stayinformed' => 'static#keep'
  get '/stayinformed(/:section)' => 'static#keep'
  get '/stayinformed-stories' => 'static#keepstories'

  get '/getinvolved' => 'static#getinvolved'
  get '/getinvolved(/:section)' => 'static#getinvolved'
  get '/feedback' => 'static#feedback'

  # howto
  get '/howto' => 'static#howto'
  get '/howto(/:section)' => 'static#howto'

  # about
  get '/about' => 'static#about'
  get '/about(/:section)' => 'static#about'

  # explore
  get '/explore' => 'static#explore'
  get '/explore(/:section)' => 'static#explore'


  get '/notsupportedbrowser' => 'static#old', :as => 'notsupportedbrowser'
  get '/terms' => 'static#terms'
  get '/accept_terms' => 'static#accept_terms'

  # map
  get '/map' => 'map#index'
  get '/map/*path' => 'map#index'
  get '/map/:zoom/:lat/:lng/:iso/:maptype(/:baselayers)' => 'map#index', :lat => /[^\/]+/, :lng => /[^\/]+/
  get '/map/:zoom/:lat/:lng/:iso/:maptype(/:baselayers/:sublayers)' => 'map#index', :lat => /[^\/]+/, :lng => /[^\/]+/
  get '/map/:zoom/:lat/:lng/:iso(/:basemap/:baselayer)' => 'map#index', :lat => /[^\/]+/, :lng => /[^\/]+/

  get '/embed/map' => 'map#embed'
  get '/embed/map/*path' => 'map#embed'
  get '/embed/map/:zoom/:lat/:lng/:iso/:maptype(/:baselayers)' => 'map#embed', :lat => /[^\/]+/, :lng => /[^\/]+/
  get '/embed/map/:zoom/:lat/:lng/:iso/:maptype(/:baselayers/:sublayers)' => 'map#embed', :lat => /[^\/]+/, :lng => /[^\/]+/
  get '/embed/map/:zoom/:lat/:lng/:iso(/:basemap/:baselayer)' => 'map#embed', :lat => /[^\/]+/, :lng => /[^\/]+/
  get '/embed/map/:zoom/:lat/:lng/:iso/:basemap/:baselayer(/:filters)' => 'map#embed', :lat => /[^\/]+/, :lng => /[^\/]+/

  # countries
  get '/countries' => 'countries#index'
  get '/country/:id' => 'countries#show', :as => 'country'

  get '/country_info/:id/:box',to: redirect('/country/%{id}#%{box}')
  # todo => validate id
  get '/country/:id/:area_id' => 'countries#show', :as => 'country_area'

  get '/countries/overview' => 'countries#overview'

  # search
  get '/search(/:query)(/:page)' => 'search#index'

  # download links
  post '/download' => 'download#create_download'

  # media
  post 'media/upload' => 'media#upload'
  get 'media/show' => 'media#show'

  # embed
  get '/embed/country/:id' => 'embed#countries_show'
  get '/embed/country_info/:id/:box' => 'embed#countries_show_info', :as => 'embed_country_box'
  get '/embed/country/:id/:area_id' => 'embed#countries_show'
  get '/embed/countries/overview' => 'embed#countries_overview'

  get '/landing' => 'landing#index'


  # robots
  get '/robots', to: redirect('/robots.txt'), format: false
  get '/robots.:format' => 'robots#index'

  root 'landing#index'




end

app/controllers/stories_controller.rb
class StoriesController < ApplicationController
  layout 'stories'
  helper_method :access_through_token?

  before_filter :load_stories
  before_filter :load_more_stories
  before_filter :load_story, :only => [:show, :edit, :update, :destroy]
  before_filter :check_token, :only => [:edit]

  skip_before_filter :verify_authenticity_token, :only => [:create]

  respond_to :html
  respond_to :json, :only => :index

  def index

    if params['for_map']
      respond_with @stories
      return
    else
      redirect_to '/stayinformed/crowdsourced-stories'
      return
    end
  end

  def show
    @title = @story.title.capitalize
  end

  def new
    @url = stories_path
    @story = Api::Story.new
    @title = I18n.translate 'stories.new.title'
  end

  def edit
    # @url = story_path(@story.token)
    @method = :put
  end

  def create
    @story = Api::Story.new(params[:story])

    if @story.valid?
      response = @story.create(params[:story])

      # API error
      if response.nil?
        flash[:error] = 'Sorry, there was an error while submitting your story.'
        redirect_to new_story_path
      else
        redirect_to story_path(response.id)
      end
    else
      respond_with @story
    end
  end

  def update
    # TODO
  end

  def destroy
    # TODO
  end

  private

    def load_stories
      @stories = Api::Story.visible
      unless params['for_map'].present? || @stories.blank? || @stories.count < 6
        @stories = @stories.sample(5)
      end
    end
    def load_more_stories
      @more_stories = Api::Story.visible
      unless  @more_stories.blank? || @more_stories.count < 6
        @more_stories = @more_stories.sample(3)
      end
    end

    def access_through_token?(story)
      # params[:id] === story.token
      false
    end

    def check_token
      unless access_through_token?(@story)
        flash[:notice] = "You don't have permissions to edit this story."
        redirect_to story_path(@story)
      end
    end

    def load_story
      story = Api::Story.find_by_id_or_token(params[:id])

      not_found unless story.present?

      @story = story
    end

end

app/helpers/stories_helper.rb
module StoriesHelper

  def previous_page_link(page)
    page -= 1
    stories_path(:page => page)
  end

  def next_page_link(page)
    page += 1
    stories_path(:page => page)
  end

  def previous_page_keep(page)
    page -= 1
    return "/stayinformed/crowdsourced-stories?page=#{page}"
  end

  def next_page_keep(page)
    page += 1
    return "/stayinformed/crowdsourced-stories?page=#{page}"
  end

  def last_page?
    @page == @total_pages
  end

  def story_image_or_map(media, coords = nil)
    return "#{ENV['AWS_HOST']}/#{media[1]['preview_url']}" if media[1].present?
    unless coords.nil?
      static_map(coords)
    end
  end

  def static_map(coords, size="266x266", zoom="3", stories=false)
    marker = stories ? "&markers=icon:#{ENV['AWS_HOST']}/marker_exclamation.png%7C#{coords.to_s.gsub(" ", "")}" : ""

    "http://maps.google.com/maps/api/staticmap?center=#{coords.to_s.gsub(" ", "")}&zoom=#{zoom}&size=#{size}#{marker}&maptype=terrain&sensor=false&scale=2"
  end

  def youtube_embed(youtube_url)
    if youtube_url[/youtu\.be\/([^\?]*)/]
      youtube_id = $1
    else
      # Regex from # http://stackoverflow.com/questions/3452546/javascript-regex-how-to-get-youtube-video-id-from-url/4811367#4811367
      youtube_url[/^.*((v\/)|(embed\/)|(watch\?))\??v?=?([^\&\?]*).*/]
      youtube_id = $5
    end

    %Q(<iframe width="560" height="315" src="//www.youtube.com/embed/#{youtube_id}" frameborder="0" allowfullscreen></iframe>)
  end

end

app/views/stories/_form.html.erb
<%= form_for :story, :url => @url, :method => (@method || :post) do |f| %>
  <% if @story.errors.present? %>
    <div class="field field_with_errors">
      <p>Sorry, there was an error while submitting your story.</p>
    </div>
  <% end %>

  <% if flash[:error] %>
    <div class="field field_with_errors">
      <p><%= flash[:error] %></p>
    </div>
  <% end %>

  <div class="field required">
    <%= f.label :title %>
    <span>Required</span>

    <%= f.text_field :title, :placeholder => 'Illegal Logging in National Park' %>
  </div>

  <div class="field required">
    <div class="<%= 'field_with_errors' if @story.errors[:the_geom].present? %>">
      <%= label_tag 'Choose a location' %>
    </div>
    <p class='hint'>Select a location for your story by entering an address in the search box, by dragging the map, or by clicking the target icon to find your current location. The flag in the center indicates where your story will be placed. </p>

    <div class="<%= 'field_with_errors' if @story.errors[:the_geom].present? %> stories_map-container" >
      <div>

        <div id="stories_map" class="map stories_map"></div>
        <div class="map-controls">
          <div class="control-zoom">
            <button type="button" id="zoomIn"><svg><use xlink:href="#icon-control-plus"></use></svg></button>
            <button type="button" id="zoomOut"><svg><use xlink:href="#icon-control-minus"></use></svg></button>
          </div>
          <div class="control-pin"></div>
          <div class="control-locate" id="autoLocate">
            <button type="button"><svg><use xlink:href="#icon-control-locate"></use></svg></button>
          </div>
          <div class="control-search">
            <input class="map-search-input" type="text" placeholder="Search..."/>
          </div>
        </div>

      </div>
    </div>

    <%= f.hidden_field :the_geom %>
    <%= f.hidden_field :uploads_ids %>
  </div>

  <div class="field">
    <%= f.label :location %>

    <%= f.text_field :location, :placeholder => '“Katingan Peatland area, Indonesia,” “Near Ambanja, Mozambique”' %>
  </div>

  <div class="field short">
    <%= f.label :date %>

    <%= f.date_field :date %>
  </div>

  <div class="field">
    <%= f.label :details %>

    <%= f.text_area :details, :placeholder => '“Selective logging with chainsaws,” “Burning peatland,” “Forest cleared for agriculture,” “Affected species”' %>
  </div>

  <div class="field">
    <%= f.label :video %>

    <%= f.text_field :video, :placeholder => 'http://www.youtube.com/watch?v=lTG-0brb98I' %>
  </div>

  <div class="field">
    <%= f.label :media %>
    <p class="hint mobile-hide">Select images and videos to add to your story. Drag & drop to reorder them within the carousel. The first one will become the default image for the story. The maximum file size for uploads is 4 MB.</p>
    <p class="hint mobile-show">Click below to upload photos or videos to your story. The first photo will become the default image. The maximum file size for uploads is 4 MB. If you are on an iOS device you must upload pictures one by one.</p>

    <ul class="thumbnails">
      <li><a href='#' class='upload_picture'></a></li>

      <% (@story.media ||= []).each do |media| %>
        <% if media['thumbnail_url'].present? %>
          <li class="thumbnail sortable">
            <img src="<%= media['thumbnail_url'] %>" alt="" />
            <a href='#' class='destroy'></a>
          </li>
        <% end %>
      <% end %>
    </ul>
  </div>

  <div class="field short">
    <%= f.label :name %>
    <p class="hint">If you share your name, it will be visible on the GFW website, but your email will not be published. In some areas, forest clearing information is considered to be highly sensitive—users are encouraged to be cautious when sharing their names.</p>

    <%= f.text_field :name %>
  </div>

  <div class="field short required">
    <%= f.label :email %>
    <span>Required</span>

    <%= f.text_field :email %>
  </div>

  <div class="field">
    <%= f.submit 'Submit story', class: 'btn green medium' %>
  </div>
<% end %>

<input id="fileupload" type="file" name="media[image]" multiple>

app/views/stories/_more_stories.html.erb
<section class="more-stories-section">
  <div class="inner">
    <h2 class="section-title">More crowdsourced stories</h2>
    <ul class='row'>
      <% @more_stories.each do |story| %>
        <li class='col'>
          <a href="<%= story_path(story['id']) %>">
            <div class="frame">
              <img src="<%= story_image_or_map(story['media'], "#{story['lat']}, #{story['lng']}") %>" alt="" />
            </div>
            <h3><%= story['title'] %></h3>
          </a>
        </li>
      <% end %>
      <li class="col">
        <a class="new-story" href="/stories/new">
          <div class="frame">
          </div>
          <h3>Submit your story</h3>
        </a>
      </li>
    </ul>
  </div>
</section>

app/views/stories/edit.html.erb
<% content_for :title do
  t('.title')
end %>

<% content_for :inner_header do %>
  <%= link_to t(".delete"), stories_path(@story.id), method: :delete, data: { confirm: 'Are you sure?' }, :class => "btn green" %>
<% end %>

<div class='inner story_form'>
  <%= render 'form' %>
</div>

app/views/stories/index.html.erb
<% content_for :header do %>
  <h1 class="header-title big"><%= t('.title') %></h1>
<% end %>

<section class='section'>
  <div class="inner">

    <h2 class='header-title header-subtitle'>These stories are submitted by GFW users to report<br />what is happening in forests on the ground.</h2>

    <%= link_to (content_tag :span, t('stories.more_stories.submit_your')), new_story_path, {:class => "btn dark_glow new_btn"} %>

    <ul class="featured_stories">
      <% @visible.each do |story| %>
        <li class='featured_story <%= cycle('left', 'right') %>'>
          <div class="featured_story-content">
            <h2><%= link_to story['title'], story_path(story['id']), :class => 'featured_story-title' %></h2>
            <p><%= truncate(story['details'], :length => 295) %></p>
            <%= link_to t('.read_more'), story_path(story['id']) %>
          </div>

          <a href="<%= story_path(story['id']) %>">
            <div class="frame">
              <img src="<%= story_image_or_map(story['media'], "#{story['lat']}, #{story['lng']}") %>" alt="<%= story['title'] %>" />
              <p style="background-image: url('<%= story_image_or_map(story['media']) %>');margin:0"></p></div>
          </a>
        </li>
      <% end %>
    </ul>

    <div class="section-footer">
      <%= link_to content_tag(:span, t('.previous')), previous_page_link(@page), :class => "btn dark_glow previous_stories" if @page > 1%>
      <%= link_to content_tag(:span, t('.next')), next_page_link(@page), :class => "btn dark_glow next_stories" unless last_page?%>
    </div>
  </div>
</section>

<%= render 'more_stories' %>

app/views/stories/new.html.erb
<section id="storiesEditView" class="submit-section">
  <div class="inner">
    <aside>
      <a class="back-btn" href="/stayinformed/crowdsourced-stories"><svg><use xlink:href="#shape-fast-forward-left"></use></svg>Back to stories</a>
      <h3>TELL US YOUR STORY!</h3>
      <p>Global Forest Watch is not just about big data; it is a movement to connect people on the ground with information that can create tangible change. That is why we want to hear <em>your</em> stories about issues affecting forests, forest communities, and how you use GFW to monitor and protect forests. Share your report with the world by putting it on the GFW Map! </p>

      <h3>HOW YOUR STORIES WILL BE USED</h3>

      <p>Your stories will be immediately displayed in the <a href="/map/3/15.00/27.00/ALL/grayscale/loss,forestgain/580?begin=2001-01-01&end=2013-12-31&threshold=30">User Stories</a> layer on the GFW Map. You can submit a story by sharing text and uploading images, video, or web links to show how forests are being managed, cleared, or protected in your area.</p>

      <p>Submit a story to:</p>

      <ul>
        <li>Report illegal activities</li>
        <li>Call attention to a threat or conflict in your area</li>
        <li>Tell a forest conservation success story</li>
        <li>Confirm or refute remotely sensed data</li>
        <li>Share your local expertise</li>
      </ul>

      <p>*WRI is not <a href="/terms" target="_blank">responsible</a> for how this information is used by visitors, and it reserves the right to remove stories that are inappropriate or not related to forest issues.</p>

      <h3>TIPS FOR A BETTER STORY</h3>

      <p>In order for your stories to have the most impact, please:</p>
      <ul>
        <li><strong>Try to fit your story to:</strong> a) verify data on Global Forest Watch; b) denounce actions affecting forests in your area; or c) promote a success case of forest management.</li>
        <li><strong>Be brief:</strong> The User Stories layer is intended to highlight your story and direct readers to other materials with additional details. Keep your story short and concrete.
        <li><strong>Add media:</strong> Utilize media quotations, technical articles, and publications from well-known sources. We recommend you use high quality videos or pictures to document your case.
        <li><strong>Provide hard facts:</strong> Describe the region of your story using specific details: size, type of forest, forest change, etc.
        <li><strong>Highlight your organization:</strong> Include the name of your organization on the story, as well as your website or contact information.
      </ul>

      <h3>EDITING OR DELETING REPORTS</h3>
      <p>Would you like to edit or delete a story you submitted?  No problem!  Just send an email to <a href="mailto:gfw@wri.org">gfw@wri.org</a> explaining the change you would like to make or the story you would like to delete.</p>

      </ul>
    </aside>
    <div class="content">
      <div class="story_form">
        <header>
          <h2>Submit a story <a href="#" class="icon source" data-source="story-tips"><svg><use xlink:href="#shape-info"></use></svg></a></h2>
        </header>
        <div class="form-box">
          <%= render 'form' %>
        </div>
      </div>
    </div>
  </div>
</section>

<div id='sources' class="sources is-hidden" style="display:none;">
  <ul class='sources'>
    <li id='story-tips' class='source-item first'>
      <div class='source_header'>
        <strong class='source_title'>TELL US YOUR STORY!</strong>
        <i class='expand_arrow'></i>
      </div>

      <div class='source_body'>
        <div class='source_download'>
        </div>

        <div class='source_table'>
          <p>Global Forest Watch is not just about big data; it is a movement to connect people on the ground with information that can create tangible change. That is why we want to hear <em>your</em> stories about issues affecting forests, forest communities, and how you use GFW to monitor and protect forests. Share your report with the world by putting it on the GFW Map! </p>

          <h3>HOW YOUR STORIES WILL BE USED</h3>

          <p>Your stories will be immediately displayed in the <a href="/map/3/15.00/27.00/ALL/grayscale/loss,forestgain/580?begin=2001-01-01&end=2013-12-31&threshold=30">User Stories</a> layer on the GFW Map. You can submit a story by sharing text and uploading images, video, or web links to show how forests are being managed, cleared, or protected in your area.</p>

          <p>Submit a story to:</p>

          <ul class="bullets">
            <li>Report illegal activities</li>
            <li>Call attention to a threat or conflict in your area</li>
            <li>Tell a forest conservation success story</li>
            <li>Confirm or refute remotely sensed data</li>
            <li>Share your local expertise</li>
          </ul>

          <p>*WRI is not <a href="/terms" target="_blank">responsible</a> for how this information is used by visitors, and it reserves the right to remove stories that are inappropriate or not related to forest issues.</p>

          <h3>TIPS FOR A BETTER STORY</h3>

          <p>In order for your stories to have the most impact, please:</p>
          <ul class="bullets">
            <li><strong>Try to fit your story to:</strong> a) verify data on Global Forest Watch; b) denounce actions affecting forests in your area; or c) promote a success case of forest management.</li>
            <li><strong>Be brief:</strong> The User Stories layer is intended to highlight your story and direct readers to other materials with additional details. Keep your story short and concrete.
            <li><strong>Add media:</strong> Utilize media quotations, technical articles, and publications from well-known sources. We recommend you use high quality videos or pictures to document your case.
            <li><strong>Provide hard facts:</strong> Describe the region of your story using specific details: size, type of forest, forest change, etc.
            <li><strong>Highlight your organization:</strong> Include the name of your organization on the story, as well as your website or contact information.
          </ul>
          <p></p>

          <h3>EDITING OR DELETING REPORTS</h3>
          <p>Would you like to edit or delete a story you submitted?  No problem!  Just send an email to <a href="mailto:gfw@wri.org">gfw@wri.org</a> explaining the change you would like to make or the story you would like to delete.</p>
        </div>
      </div>
    </li>
  </ul>
</div>

app/views/stories/show.html.erb
<%if access_through_token?(@story.id)
  link_to (content_tag :span, 'Edit story'), edit_story_path(@story.token), :class => "btn green edit"
end %>
<!-- <h1 class="header-title big"><%= link_to t(".title"), stories_path %></h1> -->

<section class="header-stories">
  <div class="inner">
    <header>
      <a class="back-btn desktop-show" href="/stayinformed/crowdsourced-stories"><svg><use xlink:href="#shape-fast-forward-left"></use></svg>Back to crowdsourced stories</a>
      <h2><%= @story.title %></h2>
      <p>
      <% if @story.location.present?  %>
        <span><%= @story.location %></span>
      <% end %>
      <% if @story.location.present? && (@story.name.present? || @story.date.present?)%>
        <span>&middot;</span>
      <% end %>
      <% if @story.date.present?  %>
        <span><%= @story.date.to_datetime.strftime("%B %d, %Y") %></span>
      <% end %>
      <% if @story.date.present? && @story.name.present? %>
        <span>&middot;</span>
      <% end %>
      <% if @story.name.present?  %>
        <span>Submitted by <%= @story.name %></span>
      <% end %>
      </p>
    </header>
  </div>
</section>
<section class="content-stories">
  <div class="inner">
    <div id="carrousel-stories" class="story-carrousel <% if (!@story.media[1].present? && !@story.media[0]['embed_url'].present?)  %>no-padding<%end%>">
      <% if (@story.media[1].present? || @story.media[0]['embed_url'].present?) %>
        <a href='#' data-direction="prev" class='btn-nav previous'></a>
        <a href='#' data-direction="next" class='btn-nav next'></a>
      <% end %>
      <ul>
        <% if (@story.media[1].present? || @story.media[0]['embed_url'].present?)  %>
          <% @story.media.each do |media| %>
            <% if media['embed_url'].present? %>
              <li class='slide'><%= youtube_embed(media['embed_url']).html_safe %></li>
            <% end %>

            <% if media['url'].present? %>
              <li class='slide'>
                <div class="bg full-screen" data-bg="<%= "#{ENV['AWS_HOST']}/#{media['url']}" %>" style="background-image: url(<%= "#{ENV['AWS_HOST']}/#{media['url']}" %>);"></div>
              </li>
            <% end %>
          <% end %>
        <% end %>
        <li class="slide">
          <div class="bg is-cover" style="background-image: url(<%= static_map("#{@story.lat}, #{@story.lng}", '1600x500', 5, true) %>);"></div>
        </li>
      </ul>
      <div id="paginationView" class="main-slider-pagination"></div>

    </div>
    <div class='story-content'>
      <p><%= simple_format(raw("<span class='dropcap'>#{@story.details[0, 1]}</span>") + @story.details[1, @story.details.length - 1]).gsub("</p>\n\n<p>", "<br /><br />").html_safe %></p>
      <% if (@story.media[1].present?) %>
          <p class="show_mobile" style="background-image: url('<%= "#{ENV['AWS_HOST']}/#{@story.media[1]['url']}" %>')"></p>
      <% end %>
    </div>
    <div class="story-share_buttons">
      <div id="fb-root"></div>
      <a href="http://twitter.com/share" target="_blank" class="twitter-share-button" data-url="http://www.globalforestwatch.org<%=request.fullpath %>" data-text="Global Forest Watch">Tweet</a>
      <div class="g-plusone" data-size="medium" data-href="http://www.globalforestwatch.org<%=request.fullpath %>"></div>
      <div class="fb-like" data-href="http://www.globalforestwatch.org<%=request.fullpath %>" data-layout="button_count" data-action="like" data-show-faces="false" data-share="false"></div>
    </div>
  </div>
</section>

<div id="fullScreenView" class="story-modal"></div>

<%= render 'more_stories' %>



<section id="interestingView" class="interesting-section"></section>